%define upstream_name	 Compress-Bzip2
%define upstream_version 2.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Interface to Bzip2 compression library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Compress/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant) >= 1.40.0
BuildRequires: perl-devel
%description
The Compress::Bzip2 module provides a Perl interface to the Bzip2 compression
library (see "AUTHOR" for details about where to get Bzip2). A relevant subset
of the functionality provided by Bzip2 is available in Compress::Bzip2.

All string parameters can either be a scalar or a scalar reference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc ANNOUNCE COPYING Changes INSTALL META.json META.yml MYMETA.yml NEWS SIGNATURE
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress
%{_mandir}/*/*

%changelog
* Mon Jun 06 2022 umeabot <umeabot> 2.280.0-4.mga9
+ Revision: 1861610
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.280.0-3.mga9
+ Revision: 1795562
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.280.0-2.mga9
+ Revision: 1726421
- Rebuild for perl 5.34

* Sun Jul 19 2020 tv <tv> 2.280.0-1.mga8
+ Revision: 1607188
- update to 2.28

* Wed Jun 17 2020 umeabot <umeabot> 2.270.0-2.mga8
+ Revision: 1594348
- Rebuild for perl 5.32

* Wed May 27 2020 tv <tv> 2.270.0-1.mga8
+ Revision: 1588126
- update to 2.27

* Sat Feb 15 2020 umeabot <umeabot> 2.260.0-7.mga8
+ Revision: 1528844
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 2.260.0-6.mga8
+ Revision: 1432744
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.260.0-5.mga7
+ Revision: 1292524
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 2.260.0-4.mga7
+ Revision: 1248521
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.260.0-3.mga7
+ Revision: 1163462
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.260.0-2.mga7
+ Revision: 1148689
- Rebuild for perl ABI changes

* Sat Jul 29 2017 sander85 <sander85> 2.260.0-1.mga7
+ Revision: 1132457
- update to 2.26

* Sat Jul 22 2017 neoclust <neoclust> 2.240.0-3.mga7
+ Revision: 1126761
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.240.0-2.mga6
+ Revision: 1024277
- Rebuild for perl 5.22.2

* Sun Jan 24 2016 luigiwalser <luigiwalser> 2.240.0-1.mga6
+ Revision: 926759
- 2.24

* Fri Jun 26 2015 tv <tv> 2.220.0-2.mga6
+ Revision: 844752
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.220.0-1.mga6
+ Revision: 840458
- update to 2.22

* Sun Oct 19 2014 umeabot <umeabot> 2.180.0-5.mga5
+ Revision: 789145
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.180.0-4.mga5
+ Revision: 743070
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.180.0-3.mga5
+ Revision: 732947
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.180.0-2.mga5
+ Revision: 683965
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 2.180.0-1.mga5
+ Revision: 660559
- update to 2.18

* Tue Jun 03 2014 pterjan <pterjan> 2.170.0-3.mga5
+ Revision: 630882
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.170.0-2.mga4
+ Revision: 533439
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 2.170.0-1.mga4
+ Revision: 473052
- update to 2.17

* Wed Jun 26 2013 jquelin <jquelin> 2.160.0-1.mga4
+ Revision: 446887
- update to 2.16

* Wed May 29 2013 tv <tv> 2.150.0-1.mga4
+ Revision: 429966
- new release
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.90.0-5.mga3
+ Revision: 364542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.90.0-4.mga3
+ Revision: 250336
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.90.0-3.mga2
+ Revision: 103712
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.90.0-2.mga1
+ Revision: 29914
- mageia rebuild
- imported package perl-Compress-Bzip2


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.90.0-2mdv2011.0
+ Revision: 555228
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.90.0-1mdv2010.0
+ Revision: 402134
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.09-6mdv2009.0
+ Revision: 256037
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.09-4mdv2008.1
+ Revision: 151465
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.09-3mdv2008.0
+ Revision: 86184
- rebuild


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.09-2mdv2007.0
- spec cleanup

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.09-1mdk
- New release 2.09

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.08-2mdk 
- don't ship useless empty dirs
- spec cleanup

* Fri May 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.08-1mdk
- 2.08

* Sun Apr 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.03-1mdk
- New version 2.03
- Add Changes in doc, and tests

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1.02-3mdk
- Rebuild for new perl

* Sun Aug 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-2mdk 
- fix line too long

* Sun Aug 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk 
- first mdk release

